/* process.h -- Functions for running and signalling processes. */
/* $Id: process.h 133 2002-08-04 19:54:37Z eagle $ */

#ifndef H_PROCESS
#define H_PROCESS

#include <stdio.h>

/* Run a program with given arguments, return when it completes. */
extern int run(char *const argv[], const char *input);

/* Send the PID stored in pid_filename a SIGHUP. */
extern int hup(const char *pid_filename);

/* Open a pipe from a process, taking input from the given file. */
extern FILE *open_pipe(char *const argv[], const char *input);

/* Close a pipe, returning success if the program exited successfully. */
extern int close_pipe(FILE *output);

#endif /* H_PROCESS */
